- Self-Service Kiosk
- Point of Sale
- Vending Machines
Terminal Devices Supported
- WisePOS E
- FlexiPOS (Stripe S700 or Stripe S710)
- HitPay All-in-One Ingenico S1F2
- HitPay All-in-One Ingenico DX4000
How It Works

Client initiates payment
Backend calls Payment Request API
wifi_card_reader.HitPay activates the card reader
Customer completes payment
Webhook sent
Order updated
Setup Your Reader
Before you can use the In-Person Payments using Payment Requests API, you’ll need to order a card reader and complete the setup process.Order a card reader
Register the reader (WisePOS E / FlexiPOS only)
Displaying Payments on the Terminal
Please ensure your terminal is in Standalone mode. Standalone mode is a mode where you can log in via the HitPay app.- HitPay All-in-One Ingenico S700: defaults to Standalone mode
- WisePOS E: defaults to Static mode. To switch to Standalone mode, please contact [email protected] to request.
Open the menu
Select In-Person Payment API
Terminal is ready

- The display will show the HitPay logo.
- If a QR payment method is selected, the relevant QR code will be displayed for the customer to scan.
- If a card payment method is selected, the display will show instructions to tap, insert, or swipe the card.

07139.Ingenico DX4000
For HitPay All-in-One Ingenico DX4000 Terminal in Philippines, you have two options:- To accept QR payments only, follow the instructions above. No login is needed.
- To accept both QR and card payments, log in to your HitPay account, go to Settings > In-person Payment and key in PIN:
8888(use the same PIN to exit the mode).
Payment Methods
The in-person payment API supports two main payment methods:Card Payments
QR Payments
Create Payment Requests via APIs
Once you have all the details from the client and are ready to collect payments, use this API to create a payment request.X-PLATFORM-KEY header alongside the sub-account’s X-BUSINESS-API-KEY. See Platform APIs for details.- Card Payments
- QR Payments
Initiating Card Payments
To initiate a card payment, follow these steps:Create Payment Request
payment_methods[] set to wifi_card_reader.Card Reader Activation
Customer Interaction
Payment Processing
Webhook Notification
Query Parameters
amount, currencyHandle Webhooks
After the payment is processed, HitPay sends a webhook to your server with the payment status.Register Your Webhook
To receive payment notifications, register a webhook URL from your HitPay Dashboard:Open Webhook Endpoints
Create a new webhook
Subscribe to events
payment_request.completed event.Save

Webhook Payload
When a payment is completed, HitPay sends a JSON payload to your registered webhook URL with the following headers:Sample Webhook Payload
Validating the Webhook
To ensure the webhook is authentic, validate theHitpay-Signature header:
Next Steps
Handle Failed Payments
Test in Sandbox
FAQs
What about the 'webhook' parameter in the API?
What about the 'webhook' parameter in the API?
webhook parameter in the payment request API is deprecated and will be removed in a future version.Why the change?- The new registered webhook system supports JSON payloads with richer data
- You can subscribe to multiple event types (not just payment completion)
- Centralized management from your dashboard
- Better scalability - one webhook URL handles all your payment requests
- Register your webhook URL in Developers > Webhook Endpoints
- Subscribe to
payment_request.completedevent - Update your webhook handler to accept JSON payloads
- Remove the
webhookparameter from your API calls
Does the in-person payments API support the Wisepad3 reader?
Does the in-person payments API support the Wisepad3 reader?
Can I connect a Bluetooth printer to my Wi-Fi terminal?
Can I connect a Bluetooth printer to my Wi-Fi terminal?
How does the card reader know whether to show QR code or accept card payment?
How does the card reader know whether to show QR code or accept card payment?
Which QR payment methods are supported?
Which QR payment methods are supported?
Can I test the APIs in a sandbox using a test card or simulator?
Can I test the APIs in a sandbox using a test card or simulator?
- For Card Payments: You’ll need a physical test card. Contact HitPay support to obtain test cards for your region.
- For QR Payments: You can test with QR code payments using your mobile payment app, as these don’t require physical cards.
Why does my charges `webhook status` show as failed?
Why does my charges `webhook status` show as failed?
- Your store may have a security feature that blocked Hitpay's request.
- Your server was unavailable during this time.
- Production:
3.1.13.32,52.77.254.34 - Sandbox:
54.179.156.147